Fn+F5 sends correct keycode, but, touchpad is not disabled / enabled

Bug #686662 reported by Kent Baxley on 2010-12-07
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
udev (Ubuntu)
Undecided
Martin Pitt
Nominated for Maverick by Chris Van Hoof

Bug Description

Binary package hint: udev

OS Version: Ubuntu Maverick Meerkat 10.10 i386

Problem: When pressing the Fn+F5 hotkey on a Dell Latitude E-series laptop to toggle the touchpad, the correct keycode is sent, but, the touchpad does not respond. Instead, there are other side effects such as loss of keyboard that occur.

Details:

The laptop is using an ALPS touchpad, which present themselves to the operating system as ImPS/2 ALPS GlidePoint Devices.

Steps taken to reproduce:

1) Press Fn+F5 to try and disable the touchpad.

2) This does not disable the touchpad, but, the side effect is that the keyboard stops working to some degree. For example, if you have a terminal window open when pressing Fn+F5, you can no longer type anything into the terminal window. The other side effect is that although the mouse pointer still works, you cannot click on anything either by tapping the touchpad or clicking the mouse buttons below the touchpad.

3) To clear this, press Ctrl+Alt+F1, then Ctrl+Alt+F7. You will then be able to use the keyboard again on the desktop. Also, note that the notification icon shows up in the upper right corner of the screen showing "touchpad off", even though the touchpad was never really disabled (this is a different problem).

4) After restoring keyboard functionality by running through the above in step #3, Fn+F5 does not respond again until the system is rebooted.

Per a conversation with Martin Pitt on this issue, he requested I open a udev bug regarding what appears to be some sort of 'stuck' key issue that could possibly be addressed with udev.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: udev 162-2
ProcVersionSignature: Ubuntu 2.6.35-23.40-generic-pae 2.6.35.7
Uname: Linux 2.6.35-23-generic-pae i686
Architecture: i386
Date: Tue Dec 7 10:46:20 2010
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-dell-maverick-une-20101022-0
InstallationMedia: Ubuntu 10.10 "Maverick" - Build i386 LIVE Binary 20101022-01:50
MachineType: Dell Inc. Latitude E5520
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-23-generic-pae root=UUID=a6df1b8d-a093-4087-ba51-90e1d9305da3 ro quiet splash
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: udev
dmi.bios.date: 12/03/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: X16
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrX16:bd12/03/2010:svnDellInc.:pnLatitudeE5520:pvr01:rvnDellInc.:rn:rvr:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E5520
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

Kent Baxley (kentb) wrote :
Kent Baxley (kentb) wrote :

Scan code for Fn+F5 according to sudo /lib/udev/keymap -i input/event4 is:

scan code: 0x9E key code: f22

Kent Baxley (kentb) wrote :

product info from /sys/class/dmi/id/sys_vendor and product_name

Kent Baxley (kentb) wrote :

current mapping info

Kent Baxley (kentb) wrote :

device dump

Martin Pitt (pitti) wrote :

Please install the attached file into /lib/udev/rules.d/95-keyboard-force-release.rules, run

  echo '0x9E' | sudo tee /lib/udev/keymaps/force-release/dell-touchpad

and then reboot. Does the touchpad toggle key still cause a hung keyboard now?

Changed in udev (Ubuntu):
status: New → Incomplete
Kent Baxley (kentb) wrote :

Hi Martin,

This looks a lot better! I no longer get a hung keyboard when pressing the Fn+F5 hotkey. The keyboard remains functional and I no longer lose 'clicking' functionality with the touchpad or the mouse buttons. The OSD notification now appears instantly for the touchpad enable/disable icons.

The only lingering issue is that the touchpad remains functional regardless of whatever is invoked on the hotkeys...this, of course, is a different problem.

Thanks for your help!

Changed in udev (Ubuntu):
status: Incomplete → Confirmed
Martin Pitt (pitti) wrote :
Changed in udev (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
status: Confirmed → Fix Committed
Mario Limonciello (superm1) wrote :

Kent:

Could you double check if this also affects the same generation of Precision Laptops? I'm suspecting it more than likely will too.

Mario Limonciello (superm1) wrote :

Also, Martin after Kent responds about precision, could this be investigated for an SRU?

Mario Limonciello [2010-12-08 16:49 -0000]:
> Also, Martin after Kent responds about precision, could this be
> investigated for an SRU?

Yes, keymaps are generally eligible for SRUs, it has a special SRU
exception. I'll just update lucid's and maverick's udev keymaps
wholesale from git trunk from time to time.

Kent Baxley (kentb) wrote :

Hi Martin,

Per Mario's question I can confirm that Precision M is also affected by this. They have the same breed of touchpad that these Latitude E models have and use the same keycode sequence to turn on / off the touchpad (Fn+F5 with 0x9E)

The information from /sys/class/dmi/id/sys_vendor is:

Dell, Inc.

and the info from product_name is:

Precision M6600 (for the laptop I have here)

So, could we add a wildcard for Precision M* similar to that for the Latitiude E* line in 95-keyboard-force-release.rules?

Let me know if you need any additional info from the Precision M system.

Thanks.

Kent Baxley (kentb) wrote :

Just confirmed that the same fix applies to Precision M. I tested the 'fix' posted in #6 and substituted Latitude E* with Precision M*, rebooted, and the touchpad key is now un-stuck on these machines.

Martin Pitt (pitti) wrote :

Committed that as well.

Chris Van Hoof (vanhoof) on 2010-12-09
tags: added: hwe-blocker
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 165-0ubuntu1

---------------
udev (165-0ubuntu1) natty; urgency=low

  * New upstream release. Switch to Ubuntu-ish version number to avoid
    confusing them with Debian's.
    - Allow local users ACL access to raw USB devices of mobile phones.
      (LP: #316215)
    - Allow local users ACL access to raw FFADO devices. (LP: #681755)
    - Keymap fixes. (LP: #625770, #627890, #686662)
  * debian/control, debian/gir1.2-gudev-1.0.install: Rename GIR package to
    gir1.2-* to match the repository version and the recent transition.
    Add conflicts/replaces to old gir1.0-gudev-1.0.
  * debian/udev.postinst: Call udevadm --convert-db when upgrading from a
    version earlier than 165, to update the running database.
 -- Martin Pitt <email address hidden> Sun, 19 Dec 2010 00:15:00 +0100

Changed in udev (Ubuntu):
status: Fix Committed → Fix Released
Chris Van Hoof (vanhoof) wrote :

Any word if this can be updated in Maverick via SRU?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers